com.hazelcast.nio

## Class NodeIOService

- java.lang.Object
- - com.hazelcast.nio.NodeIOService

- All Implemented Interfaces:
    IOService

      @PrivateApi
      public class NodeIOService
      extends Object
      implements IOService

- - ### Field Summary

    - ### Fields inherited from interface com.hazelcast.nio.IOService

      `KILO_BYTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeIOService(Node node, com.hazelcast.spi.impl.NodeEngineImpl nodeEngine)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureSocket(Socket socket)`
    `com.hazelcast.internal.networking.ChannelInboundHandler` | `createInboundHandler(TcpIpConnection connection)`
    `com.hazelcast.internal.networking.ChannelOutboundHandler` | `createOutboundHandler(TcpIpConnection connection)`
    `void` | `executeAsync(Runnable runnable)`
    `int` | `getBalancerIntervalSeconds()`
    `com.hazelcast.internal.networking.ChannelFactory` | `getChannelFactory()`
    `ClientEngine` | `getClientEngine()`
    `long` | `getConnectionMonitorInterval()`
    `int` | `getConnectionMonitorMaxFaults()`
    `EventService` | `getEventService()`
    `String` | `getHazelcastName()`
    `int` | `getInputSelectorThreadCount()`
    `LoggingService` | `getLoggingService()`
    `MemberSocketInterceptor` | `getMemberSocketInterceptor()`
    `Collection<Integer>` | `getOutboundPorts()`
    `int` | `getOutputSelectorThreadCount()`
    `com.hazelcast.internal.serialization.InternalSerializationService` | `getSerializationService()`
    `int` | `getSocketClientReceiveBufferSize()` Size of receive buffers for connections opened by clients
    `int` | `getSocketClientSendBufferSize()` Size of send buffers for connections opened by clients
    `int` | `getSocketConnectTimeoutSeconds()`
    `SocketInterceptorConfig` | `getSocketInterceptorConfig()`
    `int` | `getSocketReceiveBufferSize()`
    `int` | `getSocketSendBufferSize()`
    `SSLConfig` | `getSSLConfig()`
    `SymmetricEncryptionConfig` | `getSymmetricEncryptionConfig()`
    `com.hazelcast.internal.ascii.TextCommandService` | `getTextCommandService()`
    `Address` | `getThisAddress()`
    `void` | `interceptSocket(Socket socket, boolean onAccept)`
    `boolean` | `isActive()`
    `boolean` | `isHealthcheckEnabled()`
    `boolean` | `isMemcacheEnabled()`
    `boolean` | `isRestEnabled()`
    `boolean` | `isSocketBind()`
    `boolean` | `isSocketBindAny()`
    `boolean` | `isSocketInterceptorEnabled()`
    `void` | `onDisconnect(Address endpoint, Throwable cause)`
    `void` | `onFailedConnection(Address address)`
    `void` | `onFatalError(Exception e)`
    `void` | `onSuccessfulConnection(Address address)`
    `void` | `removeEndpoint(Address endPoint)`
    `void` | `shouldConnectTo(Address address)`
    `boolean` | `useDirectSocketBuffer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeIOService

          public NodeIOService(Node node,
                               com.hazelcast.spi.impl.NodeEngineImpl nodeEngine)

  - ### Method Detail

    - #### getHazelcastName

          public String getHazelcastName()

      Specified by:
        `getHazelcastName` in interface `IOService`

    - #### getLoggingService

          public LoggingService getLoggingService()

      Specified by:
        `getLoggingService` in interface `IOService`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `IOService`

    - #### getThisAddress

          public Address getThisAddress()

      Specified by:
        `getThisAddress` in interface `IOService`

    - #### onFatalError

          public void onFatalError(Exception e)

      Specified by:
        `onFatalError` in interface `IOService`

    - #### getSocketInterceptorConfig

          public SocketInterceptorConfig getSocketInterceptorConfig()

    - #### getSymmetricEncryptionConfig

          public SymmetricEncryptionConfig getSymmetricEncryptionConfig()

      Specified by:
        `getSymmetricEncryptionConfig` in interface `IOService`

    - #### getSSLConfig

          public SSLConfig getSSLConfig()

      Specified by:
        `getSSLConfig` in interface `IOService`

    - #### getClientEngine

          public ClientEngine getClientEngine()

      Specified by:
        `getClientEngine` in interface `IOService`

    - #### getTextCommandService

          public com.hazelcast.internal.ascii.TextCommandService getTextCommandService()

      Specified by:
        `getTextCommandService` in interface `IOService`

    - #### isMemcacheEnabled

          public boolean isMemcacheEnabled()

      Specified by:
        `isMemcacheEnabled` in interface `IOService`

    - #### isRestEnabled

          public boolean isRestEnabled()

      Specified by:
        `isRestEnabled` in interface `IOService`

    - #### isHealthcheckEnabled

          public boolean isHealthcheckEnabled()

      Specified by:
        `isHealthcheckEnabled` in interface `IOService`

    - #### removeEndpoint

          public void removeEndpoint(Address endPoint)

      Specified by:
        `removeEndpoint` in interface `IOService`

    - #### onDisconnect

          public void onDisconnect(Address endpoint,
                                   Throwable cause)

      Specified by:
        `onDisconnect` in interface `IOService`

    - #### onSuccessfulConnection

          public void onSuccessfulConnection(Address address)

      Specified by:
        `onSuccessfulConnection` in interface `IOService`

    - #### onFailedConnection

          public void onFailedConnection(Address address)

      Specified by:
        `onFailedConnection` in interface `IOService`

    - #### shouldConnectTo

          public void shouldConnectTo(Address address)

      Specified by:
        `shouldConnectTo` in interface `IOService`

    - #### isSocketBind

          public boolean isSocketBind()

      Specified by:
        `isSocketBind` in interface `IOService`

    - #### isSocketBindAny

          public boolean isSocketBindAny()

      Specified by:
        `isSocketBindAny` in interface `IOService`

    - #### getSocketReceiveBufferSize

          public int getSocketReceiveBufferSize()

      Specified by:
        `getSocketReceiveBufferSize` in interface `IOService`

    - #### getSocketSendBufferSize

          public int getSocketSendBufferSize()

      Specified by:
        `getSocketSendBufferSize` in interface `IOService`

    - #### useDirectSocketBuffer

          public boolean useDirectSocketBuffer()

      Specified by:
        `useDirectSocketBuffer` in interface `IOService`

    - #### getSocketClientReceiveBufferSize

          public int getSocketClientReceiveBufferSize()

      Description copied from interface: `IOService`
      Size of receive buffers for connections opened by clients
      Specified by:
        `getSocketClientReceiveBufferSize` in interface `IOService`
      Returns:
        size in bytes

    - #### getSocketClientSendBufferSize

          public int getSocketClientSendBufferSize()

      Description copied from interface: `IOService`
      Size of send buffers for connections opened by clients
      Specified by:
        `getSocketClientSendBufferSize` in interface `IOService`
      Returns:
        size in bytes

    - #### configureSocket

          public void configureSocket(Socket socket)
                               throws SocketException

      Specified by:
        `configureSocket` in interface `IOService`
      Throws:
        `SocketException`

    - #### interceptSocket

          public void interceptSocket(Socket socket,
                                      boolean onAccept)
                               throws IOException

      Specified by:
        `interceptSocket` in interface `IOService`
      Throws:
        `IOException`

    - #### isSocketInterceptorEnabled

          public boolean isSocketInterceptorEnabled()

      Specified by:
        `isSocketInterceptorEnabled` in interface `IOService`

    - #### getSocketConnectTimeoutSeconds

          public int getSocketConnectTimeoutSeconds()

      Specified by:
        `getSocketConnectTimeoutSeconds` in interface `IOService`

    - #### getInputSelectorThreadCount

          public int getInputSelectorThreadCount()

      Specified by:
        `getInputSelectorThreadCount` in interface `IOService`

    - #### getOutputSelectorThreadCount

          public int getOutputSelectorThreadCount()

      Specified by:
        `getOutputSelectorThreadCount` in interface `IOService`

    - #### getConnectionMonitorInterval

          public long getConnectionMonitorInterval()

      Specified by:
        `getConnectionMonitorInterval` in interface `IOService`

    - #### getConnectionMonitorMaxFaults

          public int getConnectionMonitorMaxFaults()

      Specified by:
        `getConnectionMonitorMaxFaults` in interface `IOService`

    - #### getBalancerIntervalSeconds

          public int getBalancerIntervalSeconds()

      Specified by:
        `getBalancerIntervalSeconds` in interface `IOService`
      Returns:
        Time interval between two I/O imbalance checks.

    - #### executeAsync

          public void executeAsync(Runnable runnable)

      Specified by:
        `executeAsync` in interface `IOService`

    - #### getEventService

          public EventService getEventService()

      Specified by:
        `getEventService` in interface `IOService`

    - #### getSerializationService

          public com.hazelcast.internal.serialization.InternalSerializationService getSerializationService()

      Specified by:
        `getSerializationService` in interface `IOService`

    - #### getChannelFactory

          public com.hazelcast.internal.networking.ChannelFactory getChannelFactory()

      Specified by:
        `getChannelFactory` in interface `IOService`

    - #### getMemberSocketInterceptor

          public MemberSocketInterceptor getMemberSocketInterceptor()

      Specified by:
        `getMemberSocketInterceptor` in interface `IOService`

    - #### createInboundHandler

          public com.hazelcast.internal.networking.ChannelInboundHandler createInboundHandler(TcpIpConnection connection)

      Specified by:
        `createInboundHandler` in interface `IOService`

    - #### createOutboundHandler

          public com.hazelcast.internal.networking.ChannelOutboundHandler createOutboundHandler(TcpIpConnection connection)

      Specified by:
        `createOutboundHandler` in interface `IOService`

    - #### getOutboundPorts

          public Collection<Integer> getOutboundPorts()

      Specified by:
        `getOutboundPorts` in interface `IOService`

Copyright © 2018. All rights reserved.